Wanderlust NEWS (日本語版) -- User-visible changes in Wanderlust.

* 2.14.x から 2.16.0 への変更点

** このリリースは公式のものではありません。有志により、github の
   リポジトリで開発されているものです。
   ( https://github.com/wanderlust )

** メーリングリストのアドレスが変更されました。

** 新規フォルダ rss フォルダが追加されました。

** オフライン時にメッセージの移動を行った後にオンラインになった際に、
   操作によっては意図せずにメッセージが失われる事があるのを修正しまし
   た。この条件に当てはまったメッセージは、elmo-lost+found-folder (デ
   フォルトでは"+lost+found") に収納されます。

** SSL/TLS 接続に、組み込み GnuTLS や tls.el を使用するようになりました。

** ドラフトバッファのハイライトに jit-lock-mode を使用するようになりました。
   idle-timer を使用したハイライトもサポートされています。

** IMAP4で、使用できる場合は utf-7-imap コーディングシステムを使用します。
   この時、elmo-imap4-use-modified-utf7 のデフォルト値は t になり、
   utf7.el はインストールされません。

** wl-summary-pick 等で `body' に対して検索をかけると、テキストパート
   に対してデコードを行ってから検索するようになりました。従来通りの検
   索は `raw-body' に対して検索を行ってください。

** sendmail パッケージによるメール送信がサポートされました。

** IMAP フォルダの改名時にメッセージが失われる事があるバグを修正しました。

** spam として登録したメッセージに spam マークを付けます。

** non-spam として登録したメッセージから spam マークを取り除きます。

** ESEARCH (RFC4731) がサポートされました。

** 新規オプション elmo-imap4-set-seen-flag-explicitly が追加されました。

** pipe でのコピーで新規メッセージが取り込めなくなるバグが修正されました。

** サマリのソート順に複数の条件を指定出来るようになりました。
   "," 区切りで条件を並べて下さい。

** ネットワークフォルダ名の解析を厳密に行うようになりました。

** リファイル処理の最適化
   filter, pipe, multi フォルダを解釈し、最適な方法を選択します。

** bsfilter 処理の高速化

** maildir フォルダの処理の高速化

** IMAP4 非同期リテラル(RFC 2088)に対応

** サマリバッファでメッセージにマークをつけた時にスレッドを開きます。

** wl-summary-display-raw が追加されました。

** EasyPG (http://www.easypg.org) が利用可能であれば使います。

** namazu フォルダは機能を拡張した search フォルダに置き換えられました。
   namazu 以外の外部プログラム (grep, mu, notmuch) を使った検索が出来
   るようになりました。

** archive フォルダの既存のメッセージを上書きしてしまう問題が修正されました。
   メッセージを追加する処理にバグが存在していました。

* 2.14.0 から 2.14.1 への変更点
  2.14.1 は、2.14.0 のバグ修正版です。

** Maildir で表示順序が正しくないバグが修正されました。

** アクセスフォルダのアイコンが表示されます。

* 2.12.2 から 2.14.0 への変更点

** 新しいフォルダ型 access フォルダが追加されました。
   指定されたフォルダの配下のサブフォルダを仮想的に一つのフォルダとして扱え
   るようにするフォルダです。

** フォルダのアップデートが高速化されました。
   リストの差分を計算する関数が書き直され、特に多くのメッセージを含むフォ
   ルダでの動作が高速になりました。

** 新しいイベントハンドリング機能が追加されました。

** ドラフトフォルダに IMAP フォルダを指定している場合の不具合が改善されました。
   オフライン状態でドラフトを保存するときの挙動にバグがありましたが、新しい
   イベントハンドリング機能を用いて修正されました。

** `Shimbun' のサマリが動的に更新されます。
   いくつかの shimbun フォルダは、サマリの情報が正しくありません。
   このバージョンから、メッセージを取りよせたときの情報を用いてサマリが
   自動的に修正されるようになりました。この実装には、新しいイベントハンド
   リング機能が用いられています。

** その他多くのバグ修正。

* 2.12.0 から 2.12.1 への変更点
  2.12.1 は、2.12.0 のバグ修正版です。

** Windows で Maildir が使えるようになりました。
   ただし、規格に則っていませんので、UNIX 上の Maildir と互換性がありません。

** フィルタフォルダ等でのキャッシュマーク不整合の不具合が解消されました。
   キャッシュされてもキャッシュされていない表示となる場合がありましたが
   修正されました。

** フラグが新規のまま変更されなくなる場合があるバグの修正。

** Maildir で複数メッセージ移動時、フラグが正しく引き継がれないバグの修正。
   最初のメッセージしかフラグが引き継がれませんでしたが、修正されました。

** 入れ子になったメッセージの IMAP による表示時の不具合が解消されました。
   入れ子になったメッセージをパートフェッチした場合、ヘッダが表示されない
   場合がありましたが、正しく表示されるようになりました。

** %INBOX のサブフォルダに %INBOX 自体が含まれない場合がある問題に対処しました。
   cyrus-imapd で、当該の問題が出ていましたが修正されました。

** フラグが、検索時等の補完候補として現れるようになりました。

** Folder mode でアクセスグループ "@/" の展開が正しく動作します。

** フラグ名によっては間違ったフラグフォルダが作成される問題が修正されました。
   フラグに [a-z]以外の文字を使ったときの問題に対処しました。

** ドラフトの自動保存時にエラーになってしまう問題が修正されました。

** アドレスマネージャを起動した際にエラーになる問題が修正されました。
   本文に To: 等の文字列があるとエラーが発生していましたが、修正されました。

** フィルタフォルダからのコピー等でフラグが保存されない問題が修正されました。

** 新規オプション wl-summary-resend-use-cache が追加されました。
   オフライン状態でもキャッシュを用いた再送(resend)ができます。

** 新規オプション elmo-network-session-idle-timeout が追加されました。
   指定した時間以上アイドル状態となったセッションを再利用しません。

** 'H' や 'M' でのメッセージ再表示が効率化されました。
   再表示時に MIME の構造、バッファを再利用するようになりました。

** ドラフトのプレビュー時に表示される属性表示が netnews に対応しました。

* 2.10.1 から 2.12.0 への変更点

** メッセージデータベースの構造が改善されました。
   以下の設定をすれば、フォルダ選択時に自動的に旧来のタイプの msgdb を
   新しいタイプのものに変換します。
   (setq elmo-msgdb-default-type 'standard
         elmo-msgdb-convert-type 'auto)
   初期値は、上記の通りとなっています。

** 一時マークと、それに対するアクションを自由に定義できるようになりました。

   デフォルトでは以下のマークとアクションを定義しています。
   従来から引き継がれたマークとアクション
    "o" refile   (従来のリファイルと同じ)
    "O" copy     (従来のコピーと同じ)
    "d" dispose  (旧 delete, D マーク。wl-trash-folder に移動。
    		  wl-dispose-folder-alist の値により挙動が決まる。)
   新たに追加されたマークとアクション
    "D" delete   (いきなり消去)
    "i" prefetch (プリフェッチ)
    "~" resend   (再送)
   サマリで x キーを押すとマークに対応したアクションがすべて実行されます。
   マークとアクションは、新規変数 wl-summary-mark-action-list によって定義
   できます。詳しくは同変数の docstring を参照してください。

** スパムフィルタモジュールが新たに追加されました。
   以下のスパムフィルタに対応しています。
   bogofilter
   spamfilter
   bsfilter
   SpamAssassin
   SpamOracle
   正規表現によるヘッダ検査

** 'mark フォルダは改名され、'flag フォルダになりました。
   これに関連して、'flag フォルダのサマリで元メッセージがどこにあるかを
   help-echo として表示するようになりました(これのふるまいは
   wl-highlight-summary-line-help-echo-alist で制御できます)。

** メッセージに対して任意のユーザ定義のフラグを付けられるようになりました。
   サマリにおいて "F" でフラグの指定ができます。

** 返信済みマーク A,a が追加されました。
   サマリにおいて、返信したメッセージに A マーク(キャッシュなしの場合)
   もしくは a マーク(キャッシュありの場合) が表示されます。

** 転送済みマーク F,f が追加されました。
   サマリにおいて、転送したメッセージに F マーク(キャッシュなしの場合)
   もしくは f マーク(キャッシュありの場合) が表示されます。

** フォルダの検索条件に、'フラグ' (メッセージの状態) が追加されました。
   フラグには、unread(未読), important(重要), answered(返信済み),
   digest (未読または重要), any (未読または重要または返信済み)があります。
   例えば、次のフィルタフォルダは、%inbox のうち、未読または重要な
   メッセージのみが出現します。
   /flag:digest/%inbox

** ドラフトの保存機能が改善されました。
   IMAP フォルダや、Maildir フォルダを wl-draft-folder に指定できるように
   なりました。

** idle-timer を利用してドラフトバッファの自動保存を実行します。
   変数 `wl-auto-save-drafts-interval' で挙動を変えられます。

** 'H' キー(ヘッダ全表示) および 'M' キー(MIMEなし表示)がトグルになりました。
   また、'M' で表示したメッセージを引用できるようになりました。

** non-MIME PGP メッセージの検証、復号化のためのコマンドが追加されました。
   メッセージバッファにおいて C-c:v, C-c:d でそれぞれ検証、復号化します。

** サマリを並べ替え条件の逆順でソートできるようになりました。

** メッセージバッファで複数行にわたる長いヘッダを省略表示します。

** サマリバッファの永続マークの文字列が変更されました。
   デフォルトの設定ではキャッシュの有無を大文字小文字で示します。

** 送信確認の際にドラフトのプレビューを表示するようになりました。

** ドラフトのプレビューの際に送信パラメータを表示するようになりました。
   詳しくは変数 wl-draft-preview-attributes の説明を見て下さい。

** wl-biff-use-idle-timer を設定すると biff が idle-timer で走ります。

** wl-draft-kill は yes-or-no-p で確認を求めるようになりました。

** サマリで一定以上深いスレッドは分割されます。
   変数 wl-summary-max-thread-depth で限界を変更できます。

** Emacs multi-tty support に対応しました。
   (http://lorentey.hu/project/emacs.html)

** サマリの並べ替え条件に 'size' が追加されました。
   メッセージサイズによるサマリの並べ替えが可能になりました。

** 変数 wl-refile-policy-alist は廃止されました。

** バッチ処理用のモジュールが新たに追加されました。

** マルチフォルダとオリジナルフォルダの状態が同期されるようになりました。
   例えば、+inbox の未読情報が、*+inbox,+outbox にも反映されます。

** 関数 wl-summary-resend-message は廃止されました。
   その代わりに wl-summary-resend を使えば再送マークを付けることができます。

** 変数 wl-delete-folder-alist は wl-dispose-folder-alist に
   名前が変更されました。

** POP3 フォルダの存在チェックのデフォルト挙動を簡略化
   elmo-pop3-exists-exactly のデフォルト値を nil にしました。

** RFC2449 の POP3 拡張のレスポンスコードに対応しました。
   他のセッションが使用中であるために認証に失敗したときには、パスワード
   がクリアされなくなりました。

** IMAP4 において、EXPUNGE, CHECK コマンドを非同期で送信するようにしました。

** wl-folder-hierarchy-access-folders の初期値が変更されました。

** 新聞フォルダのアクセスグループ "@/" が使えるようになりました。

** 前に使っていたものより新しい Wanderlust を起動すると NEWS(.ja) の内容を
   表示します。

** wl-draft-reply-*-list の初期値が変更されました。
   以前の設定は、samples/ja/dot.wl を参照して下さい。

** wl-draft-reply-myself-*-list は廃止され、wl-draft-reply-*-list に統合
   されました。

** 返信用ドラフトのカーソルの初期位置を指定できます。
   変数 wl-draft-reply-default-position を設定して下さい。

** ドラフトバッファウィンドウの配置の指定の仕方が変更されました。
   wl-draft-buffer-style と wl-draft-reply-buffer-style に keep,full,split
   のいずれかを指定します。

** 新規 hook
   wl-draft-reply-hook
   wl-summary-reply-hook
   wl-draft-forward-hook
   wl-summary-forward-hook
   wl-draft-kill-pre-hook
   wl-summary-resend-hook

** 廃止された hook
   wl-reply-hook

** 新規 face

   wl-highlight-summary-disposed-face
   wl-highlight-summary-prefetch-face
   wl-highlight-summary-resend-face
   wl-highlight-summary-answered-face
   wl-highlight-action-argument-face

** 廃止された face

   wl-highlight-refile-destination-face
   (wl-highlight-action-argument-face に変名)

* 2.10.0 から 2.10.1 への変更点
  2.10.1 は 2.10.0 のバグ修正版です。

** print-length や print-level が Non-nil のときに msgdb が壊れる問題が
   修正されました。

** パイプフォルダにおいて wl-summary-pack-number がうまく動かなかった
   ため効かなくしてあります。必要であれば取り込み先フォルダの方で実行
   して下さい。

** wl-folder-move-cur-folder が効いていなかった問題が修正されました。

** Meadow 上で wl-draft-reedit がうまく動かない問題が修正されました。

** wl-summary-pack-number が Maildir や shimbun フォルダで動かない
   問題が修正されました。

** 重要マークつきメッセージのキャッシュに対する保護機能が働かない
   不具合が修正されました。

** wl-summary-line-format の %# で大きな数値を正しく扱えない不具合
   が修正されました。

** SMTP AUTH で認証以外のエラーでもパスワード消去される不具合が修
   正されました。

** wl-message-buffer-prefetch-folder-type-list,
   wl-message-buffer-prefetch-idle-time,
   wl-message-buffer-prefetch-depth のデフォルト値が変更されました。

** XEmacs without mule でコンパイルできない問題が修正されました。

* 2.8.1 から 2.10.0 への変更点

** サマリ行の表示形式を変更できるようになりました。
   wl-summary-line-format で書式を設定できます。フォルダ毎に書式を変えたい
   場合は wl-folder-summary-line-format-alist を用いて下さい。

** ドラフトフォルダへの保存形式が変更されました。wl-draft-save の際には
   エンコードして保存されます。

** elmo-split が新設されました。与えたルールに沿って procmail 風にメッセ
   ージを振り分けることができます。

** バッファプリフェッチが実装されました。wl-message-buffer-prefetch-depth
   の数だけ、メッセージをバッファに先読みします。

** elmo-dop-queue-flush は繋がっているポートに関するキューを flush します。

** 新しいフレームを開いて Wanderlust を起動できるようになりました。
   (autoload 'wl-other-frame "wl" "Wanderlust on new frame." t)
   のように設定して下さい。

** フォルダモードから、与えられた条件を満たすメッセージからなる仮想フォルダ
   へ移動できます (wl-folder-virtual)。"V" にバインドされています。

** フォルダモードで、与えられた条件を満たすメッセージを含むフォルダを探せる
   ようになりました (wl-folder-pick)。"?" にバインドされています。 

** アクセスグループフォルダの改名が出来るようになりました。

** 新規サマリに対するスレッド表示の ON/OFF を指定できるようになりました。
   wl-summary-default-view, wl-summary-default-view-alist を設定して下さい。

** スティッキーサマリを q や g で抜ける際に、一時的マークを保持するように
   なりました。

** スティッキーサマリに関するキーバインドが変更になりました。
   サマリで C-u g すると C-u q と同様にサマリを破棄します。サマリやフォルダ
   モードから G でサマリに移動すると、新規サマリがスティッキーになります。

** C-cC-n や C-cC-p でサマリバッファ間を巡回できます。

** リスト wl-folder-hierarchy-access-folders の各要素は、アクセスグループに
   ついての正規表現になりました(これまでは正確なグループ名でした)。

** ドラフトのヘッダ部分で C-a すると、行頭もしくはヘッダの先頭にカーソルが
   移動します。

** カプセル化 Blind Carbon Copy を送れるようになりました。
   デフォルトのフィールド名は "Ecc:" です。

** ドラフトの C-c C-y でリージョンを引用できるようになりました。
   transient-mark-mode (Emacs) もしくは zmacs-regions (XEmacs)
   が Non-nil で、リージョンが有効のときに作用します。

** マルチパートのメッセージからパートを削除できるようになりました。
   メッセージバッファで "D" にバインドされています。

** ニュース記事を投稿するサーバを簡単に設定できるようになりました。
   Info の例に習って wl-nntp-posting-config-alist を設定して下さい。

** 変数 wl-draft-reply-with-argument-list 等で、関数の返り値から宛先を
   決められるようになりました。

** 関数 wl-draft のインターフェースが変更されました。
   最初に用意するヘッダを関連リストの形で渡すようになりました。

** wl-generate-mailer-string-function の使用法が変更になりました。
   User-Agent フィールドに入る文字列を返す関数を指定して下さい。

** Reference Card (doc/wl-refcard-ja.tex) に主なキー操作を列挙しました。

** その他いくつかの修正。

* 2.6.1 から 2.8.0 への変更点

** Nemacs, Mule 2.3 based on Emacs 19.28 はサポートされなくなりました。

** FLIM 1.14.2 以前の FLIM ではうまく動かない場合があります。
   FLIM 1.14.3 以降および対応した SEMI をインストールしてください。

** make check で簡単な環境テストができるようになりました。

** 名前変更等で使われなくなった変数を .wl 等で設定していると、警告が表示され
   ます。メッセージを参考にして、設定を変更してください。
   もし何らかの理由で警告の表示を抑制したい場合には、変数
   elmo-obsolete-variable-show-warnings を nil にしてください。

** 新規内部フォルダ 'sendlog が追加されました。

** 新規フォルダ shimbun フォルダが追加されました。

   書式: '@' '仮想サーバ名' '.' 'グループ名'

** 新規フォルダ namazu フォルダが追加されました。

   書式:  '[' 'namazu 検索式' ']' [ 'namazu index のパス（絶対パス）' ]

** パイプフォルダでサーバにメッセージを残すことができるようになりました
   次のアクセス時には、新しいメッセージのみコピーします。

   書式:  '|' '取り込み元' '|:' '取り込み先'

** アドレスマネージャが新設されました(C-c C-a で起動)。
   アドレス帳の編集をしたり、そこからドラフトに宛先を入力することができます。

** ACAP (RFC2244) に対応しました(実験的)。

** IMAP4 のメッセージをパート毎にキャッシュとして保存できるようになりました。
   巨大なパートをスキップした場合でも、スキップしたパート以外は
   オフライン状態で読み返すことができるようになりました。

** メッセージのプリフェッチでメッセージビューまで作成するようになりました。
   プリフェッチされたメッセージの表示が高速化されました。

** メッセージバッファ、ドラフトバッファで長い行の折り返しを設定できるように
   なりました。変数 wl-message-truncate-lines, wl-draft-truncate-lines が
   non-nil なら、それぞれについて長い行を window 幅で切り縮めます。

** オープニングデモに使われるビットマップ画像は wl-demo.elc から取り除かれ、
   wl-icon-directory から読み込むようになりました。
   クリスマスの時期には特別な画像が表示されます :)

** elmo モジュールが全体的に書き直されました。

** elmo のバックエンドに依存した変数は "elmo-バックエンド名-*" 
   という名前に変更されました。
   例えば、 elmo-default-imap4-server が elmo-imap4-default-server に
   変更されています。

** xxx-func という名前の変数は xxx-function という名前に変更 されました。

** X-Face utility 1.3.6.12 以前はサポートされなくなりました。
   必要なら X-Face utility 1.3.6.13 以降をインストールしてください。

** plugged モードで、stream-type が違うものは別エントリとして扱われるように
   なりました。

** アーカイブ, マルチフォルダ用の msgdb path が変更されました。
   そのままでも問題ありませんが、ディスクに無駄なデータを残したくない方は
   .elmo/multi, .elmo/archive 以下をあらかじめ削除しておいてください。

** xxx-dir という名前の変数は xxx-directory という名前に変更されました。
   例えば、wl-icon-dir は wl-icon-directory に変更されています。
   Emacs21 で logo 表示などの設定をしている方は特に注意してください。

** elmo-cache-dirname を廃止して elmo-cache-directory を新設しました。
   elmo-cache-directory を設定することによってキャッシュだけを全く別の
   ディレクトリに置くことができます。

** elmo-enable-disconnected-operation のデフォルト値が t になりました。
   オフライン状態でもメッセージがキャッシュされていれば、ある程度の
   メッセージ操作が可能です。

** "$" マークの付いたメッセージは、メッセージの実体が消えた場合にはサマリから
   も消えるようになりました。
   "$" マークの付いたメッセージを見直したい場合は 'mark フォルダを参照して
   ください。

* 2.6.0 から 2.6.1 への変更点
  2.6.1 は 2.6.0 の修正版です。

** Emacs 21 で Recursive load... と出る不具合が修正されました。

** XEmacs 21.1 で文字化けする問題が修正されました。

** XEmacs で IMAP4 を用いるとプログレスバーが出っぱなしになる問題が
   修正されました。

** X- で始まるフィールドの検索ができない問題が修正されました。

** その他いくつかの修正。

* 2.4.1 から 2.6.0 への変更点

** FLIM 1.13.x はサポートされなくなりました。
   FLIM 1.14.1 以降をインストールしてください。

** フォルダ、サマリを別フレームで起動できるようになりました。
   新規変数 wl-folder-use-frame、wl-summary-use-frame が non-nil なら
   それぞれフォルダ、サマリを別フレームに開きます(デフォルトは nil)。

** サマリでの 'N' や 'P' によるカーソル移動が高速化されました。

** ローカルフォルダを対象とした、last および first 条件のフィルタフォルダ
   (例えば、/last:100/+inbox のようなフォルダ) のチェックが高速化されました。

** POP, IMAP で大きなメッセージを取り寄せるときに、
   進捗が表示されるようになりました。

** サマリの色づけがオンデマンドになりました(Emacs のみ)。
   新規変数 wl-summary-lazy-highlight が non-nil ならサマリの表示部分のみを
   自動的に色付けします (Emacs のみ)。

** biff の通知方法がカスタマイズ可能になりました。
   新規フック wl-biff-notify-hook, wl-biff-unnotify-hook で設定できます。
   例: (add-hook wl-biff-notify-hook 'ding)

** 多くのバグフィックス

* 2.4.0 から 2.4.1 への変更点
  2.4.1 は 2.4.0 の修正版です。

** FLIM 1.14.x 上でも動作するようになりました。

** POP before SMTP で POP コネクションが切れない不具合が修正されました。

** IMAP4 での生パスワードによる認証の指定方法が変更になりました。

これまで、IMAP4 で生パスワードの認証(LOGIN コマンドによるログイン)をするには、
変数 elmo-default-imap4-authenticate-type に 'plain (または nil) 
を設定することになっていましたが、'clear (または nil)に変更されました。
例えば、
(setq elmo-default-imap4-authenticate-type 'plain)
という設定は
(setq elmo-default-imap4-authenticate-type 'clear)
に変更する必要があります。

* 1.1.1 から 2.4.0 への変更点

** バージョン番号
バージョン番号の付け方が変わりました。
これまで、1.x が安定版、2.0.x〜2.2.x が開発版となっていましたが、2.3.0 
以降は、第二番号が偶数なら安定版、奇数なら開発版となりました。このバー
ジョン番号の付け方は一般的なオープンソース開発の慣習に基づくものです。

公開 CVS サーバ cvs.m17n.org 上 では、幹が beta (開発)版、
枝が stable (安定)版 (枝名は、2.4.x なら wl-2_4) となります。

** インストール

*** FLIM 1.12 はサポートされなくなりました。
くわしくは INSTALL.ja を御覧下さい。

*** APEL 10.2 以降が必要になりました。
tm-8 を使用する方は特にご注意ください。

** 新機能

*** LDAP サポート
LDAP サーバーと接続し、アドレスの補完を行えます。
変数 wl-use-ldap が non-nil に設定されていると LDAP を利用します
(初期設定は nil)。

*** POP3 フォルダで UIDL サポート
POP3 フォルダでサマリの状態を保存できるようになり、アクセスが高速化されました。
変数 elmo-pop3-use-uidl が non-nil に設定されていると UIDL を使用します
(初期設定は t)。

*** Emacs 21 サポート
Standard Emacs 21 のサポートを開始しました。Wanderlust のほとん
どのフレームに、XEmacs と同じようにツールバーやアイコン画像を表
示します。

*** biff 機能
一定時間おきにサーバにメールが届いているか確認します。
届いていればモードラインに表示し、フォルダ一覧モードを更新します。

*** expire-hide
記事自体は消すことなく、サマリに見える記事数を一定に保つことがで
きるようになりました。ひとつのフォルダに大量に記事を溜めている場
合でも、速度低下を抑えることできます。

*** スレッド修復機能
サブジェクトから推測したスレッドの自動のつなぎ直し、及び
手動でのつなぎ直し(サマリで M-w (コピー)と C-y (ペースト)) が可能になりました。

*** パスワードのタイマ設定
変数 elmo-passwd-life-time で設定できます。
(nil ならタイマなし。初期設定は nil)。

*** killed-list
NNTP フォルダで削除したメッセージは killed-list に保存します。
killed-list にあるメッセージはサーバ上にも存在しないかのように扱
います。変数 elmo-use-killed-list が non-nil なら killed-list を
使用します(デフォルトは t)。
これによって NNTP を利用したパイプフォルダも実現できるようになりました。

*** Maildir で pack (番号詰め) ができるようになりました。
Maildir のサマリで M-x wl-summary-pack-number を実行するとメッセージ番号を
1 から順に振り直します。

** 検索

*** フィルタフォルダに複雑な条件指定を指定できるようになりました。
AND 条件、OR 条件、否定条件、およびそれらの組合せを指定できます。
これにともない、条件指定部分のシンタックスが変更されました。
くわしくは Info を御覧下さい。

注意：1.1.1 から移行される方へ
上記変更に伴い、フィルタフォルダの msgdb の置き場所が変わりました。
このため、従来の msgdb は不要となります。そのままでも問題ありませんが、
ディスクに無駄なデータを残したくない方は .elmo/filter/ 以下を
あらかじめ削除しておいてください。

*** NNTP での検索機能が強化されました。
NNTP に対するフィルタフォルダを作れるようになりました。
(NNTP サーバが XHDR コマンドに対応している場合のみ)

*** サマリでの Pick、Virtual で複合条件を入力できるようになりました。
AND 条件や OR 条件も入力できます。
入力方法は、フィールド名のかわりに 'AND' や 'OR' を入力するだけです。

** 接続・認証

*** elmo-default-*-authenticate-type はシンボルで設定するようになりました。
例えば、
(setq elmo-default-imap4-authenticate-type "cram-md5")
という設定は、
(setq elmo-default-imap4-authenticate-type 'cram-md5)
に変更する必要があります。

*** stream-type の定義方法を変更しました。
変数 elmo-network-{imap4-,pop3-,nntp-,}stream-type-alist で設定可能です。
SSL 関連のいくつかの変数が廃止されました(改名)。 
また、新たに "!socks" で終わるネットワーク系フォルダ(IMAP4, NNTP, POP3)は
SOCKS 経由でアクセスされるようになりました。

** ドラフト

*** group-list に対応しました。
宛先に Group: foo@gohome.org, bar@gohome.org; のように書けるように
なりました。変数 wl-draft-remove-group-list-contents が t なら
group-list の内容を削除して送信します。

*** ドラフトのプレビューで受取人のアドレスがミニバッファに表示されます。
group-list にも対応しています。

*** 初期設定で Reply-To: を考慮するようになりました。
wl-draft-reply-without-argument-list の初期設定で、Reply-To: 
フィールドは To: へ挿入する設定になりました。

*** 自分のメールへの返信ルール
変数 wl-draft-reply-myself-with-argument-list,
wl-draft-reply-myself-without-argument-list で自分が出したメール
への返信するときのルールが設定できます。

*** 返信アドレスにフルネーム
変数 wl-draft-reply-use-address-with-full-name が non-nil なら返
信アドレスにフルネームが入ります。(デフォルトは t)。 

*** In-Reply-To: フィールドの形式を変更しました。
draft-ietf-drums-msg-fmt-09.txt に従うようになりました。

** その他の変更点

*** スレッドの高速化と多くのバグフィックス。

*** 変数名の変更。
wl-refile-guess-func-list => wl-refile-guess-functions
wl-summary-temp-above => wl-summary-target-above

*** wl-fcc に関数を設定できます。
月毎にフォルダを変えたい場合などに使用できます。

*** elmo-search-mime-charset は廃止されました。
charset は入力文字列から判定されます。

*** 転送時に余計なヘッダを削除します。
変数 wl-ignored-forwarded-headers で、転送時に削除するヘッダを設
定できます。

*** wl-highlight-group-folder-by-numbers は廃止されました。
wl-highlight-folder-by-numbers に改名され、値に応じて以下の意味を持つように
なりました。
  `t'   ：行全体にメッセージ数に応じた色を付けます。
  `nil' ：フォルダの状態に応じた色を付けます。
   数字 (例えば `1') ：メッセージ数とフォルダの状態の両方に応じた色を付けます。

*** メッセージバッファでのヘッダ表示を制御できます。
変数 wl-message-ignored-field-list,
wl-message-visible-field-list で、Wanderlust レベルで設定が可能
になりました。(今までは SEMI で設定する必要がありました)

*** DEMO の表示方法が変わりました。
カラーのピックスマップで利用する色数が削減されました。
また、文字のみしか表示できない環境でもそれなりのデモが表示されるように
なりました。


* 1.1.0 から 1.1.1 への変更点
  1.1.1 は 1.1.0 のバグ修正版です。いくつかの細かい修正が加わっています。

** CVS サーバ上での開発が始められました。

** ディレクトリ構成がかわりました。

*** 00README, 00README.ja は README, README.ja に変更されました。

*** wl-* のファイルは 'wl' ディレクトリに移動しました。

** wl-refile-rule-alist の記述方法が拡張されました(以前と互換性があります)。

** progress gauge 表示機能を利用するようになりました。
progress gauge の表示機能をもつ Emacs では、処理の進捗が progress gauge に
表示されるようになりました。

* 1.0.3 から 1.1.0 への変更点 

** インストール

*** tm7 はサポートされなくなりました。

くわしくは INSTALL.ja を御覧下さい。

*** WL_PREFIX と ELMO_PREFIX の初期設定が "wl" になりました。
(defvar WL_PREFIX "wl")
(defvar ELMO_PREFIX "wl")

例えば、インストールディレクトリは、
  1.0.3  /usr/local/share/emacs/site-lisp/
  1.1.0  /usr/local/share/emacs/site-lisp/wl/
となります。

*** Makefile の変数のデフォルト値が変わりました。

EMACS   = emacs
XEMACS  = xemacs
$(XEMACS) は、`package' や `install-package' の target で参照されます。

*** *.el ファイルもインストールされるようになりました。

*** 英語版ドキュメント (wl.texi) が付きました。

** 新機能

*** Modified UTF7 がサポートされました。
ユニコードが扱える Emacs では、IMAP4 で日本語メールボックス名を指定できます。

*** スコア機能が付きました。

*** プラグ管理機能が付きました。

*** IMAP4 がより汎用的になりました。
多くの IMAP4 サーバで動くようになりました。

*** いくつかの認証方式がサポートされました。
  IMAP4: CRAM-MD5, DIGEST-MD5, STARTTLS
  POP3:  CRAM-MD5, DIGEST-MD5, SCRAM-MD5, STARTTLS
  NNTP:  STARTTLS
  SMTP:  STARTTLS

*** 新しいフォルダ型が加わりました。
  |      パイプフォルダ     メッセージを取り込むフォルダです。
  .      Maildir フォルダ   Maildir がひとつのフォルダ型になりました。
  'cache キャッシュフォルダ 内部キャッシュをフォルダとして閲覧できます。

*** メッセージバッファのプリフェッチ機能が付きました。
読んでいる間に次のメッセージを読み込みます。

*** スティッキーサマリ(消えないサマリ)が拡張されました。
メッセージバッファもサマリに対応して用意されるようになりました。
常にスティッキーになるフォルダを設定できるようになりました。

** その他

*** 変数 wl-draft-prepared-config-alist は廃止されました。
wl-draft-config-alist に統合されました。

*** POP-before-SMTP 関連の変数が整理されました。

*** 存在しないフォルダを作るかどうか確認するようになりました。
 FCC: に新しいフォルダ名を指定したときや、auto-refile で
 新しいフォルダ名を指定したときにフォルダを作るかどうか確認します。

*** プリフェッチの確認に関する設定の変数が加わりました。
wl-prefetch-confirm-threshold, wl-cache-fetch-threshold.

*** フォルダ名のあだ名をフォルダ名入力で補完できるようになりました。

*** Message-ID の生成方法が変わりました。

*** Mule ではビットマップのオープニングデモ画面が出るようになりました。

*** `smtp-server' に関数を指定できます。

*** 送信ログが保存されるようになりました。
`wl-draft-sendlog' が non-nil の場合、'sendlog' ファイルに保存されます。

*** オフライン処理でプリフェッチを予約できるようになりました。

*** `wl-summary-incorporate-marks'

*** `wl-draft-use-frame' が non-nil ならフレームを生成します。

*** 新規変数 `wl-user-mail-address-list'。

*** 新規変数 `wl-local-domain'。

*** IMAP4 でサーバ側の未読状態を参照するようになりました。

*** 初期設定が変更された変数
  wl-mime-charset         iso-2022-jp  =>  x-ctext
  wl-summary-move-order   'new  =>  'unread
  wl-tmp-dir              TMPDIR  =>  ~/tmp/

*** 新規 hook
  wl-draft-send-hook
  wl-draft-reedit-hook
  wl-mime-edit-preview-message-hook
  wl-folder-suspend-hook
  wl-summary-toggle-disp-folder-message-resumed-hook
  wl-summary-line-inserted-hook
  wl-thread-update-children-number-hook
  mmelmo-header-inserted-hook
  mmelmo-entity-content-inserted-hook

*** 新規コマンド
  wl-save
  wl-summary-write
  wl-summary-supersedes-message
  wl-fldmgr-delete
  wl-refile-guess-by-msgid
  wl-address-user-mail-address-p
  wl-summary-jump-to-msg-by-message-id-via-nntp
  wl-summary-temp-mark-pick

* 変更点の詳細は ChangeLog を御覧下さい。

Local variables:
mode: outline
paragraph-separate: "[ 	]*$"
end:
